org.apache.hadoop.mapreduce.v2.hs

## Interface HistoryContext

- All Superinterfaces:
    org.apache.hadoop.mapreduce.v2.app.AppContext
  All Known Implementing Classes:
    JobHistory

      public interface HistoryContext
      extends org.apache.hadoop.mapreduce.v2.app.AppContext

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<org.apache.hadoop.mapreduce.v2.api.records.JobId,org.apache.hadoop.mapreduce.v2.app.job.Job>` | `getAllJobs(org.apache.hadoop.yarn.api.records.ApplicationId appID)`
    `JobsInfo` | `getPartialJobs(Long offset, Long count, String user, String queue, Long sBegin, Long sEnd, Long fBegin, Long fEnd, org.apache.hadoop.mapreduce.v2.api.records.JobState jobState)`

    - ### Methods inherited from interface org.apache.hadoop.mapreduce.v2.app.AppContext

      `getAllJobs, getApplicationAttemptId, getApplicationID, getApplicationName, getBlacklistedNodes, getClientToAMTokenSecretManager, getClock, getClusterInfo, getEventHandler, getHistoryUrl, getJob, getNMHostname, getStartTime, getTaskAttemptFinishingMonitor, getUser, hasSuccessfullyUnregistered, isLastAMRetry, setHistoryUrl`

- - ### Method Detail

    - #### getAllJobs

          Map<org.apache.hadoop.mapreduce.v2.api.records.JobId,org.apache.hadoop.mapreduce.v2.app.job.Job> getAllJobs(org.apache.hadoop.yarn.api.records.ApplicationId appID)

    - #### getPartialJobs

          JobsInfo getPartialJobs(Long offset,
                                  Long count,
                                  String user,
                                  String queue,
                                  Long sBegin,
                                  Long sEnd,
                                  Long fBegin,
                                  Long fEnd,
                                  org.apache.hadoop.mapreduce.v2.api.records.JobState jobState)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.